<template>
  <div class="jawaban p-2">
    <div class="d-flex">
      <div class="col-6 Aligner">
        <div>
          <h1>Hi Samantha</h1>
          <p class="grey mb-5">Welcome back to the workspace, we missed You!</p>
          <b-input-group size="xl">
            <input class="form-control mb-5 radius" v-model="keyword" placeholder="Search Task or Project" type="text">
          </b-input-group>
          <h5 class="mb-4"><b>Project <span class="grey">(13)</span></b></h5>
          <div class="d-flex mb-5">
            <div class="mr-5">
              <div class="mb-2 kotak1">
                <h5><b>GH</b></h5>
              </div>
              <div class="text-center"><b>Green House</b></div>
            </div>
            <div class="mr-5">
              <div class="mb-2 kotak2">
                <h5><b>CP</b></h5>
              </div>
              <div class="text-center"><b>Cyber Punk</b></div>
            </div>
            <div class="mr-5">
              <div class="mb-2 kotak3">
                <h5><b>EC</b></h5>
              </div>
              <div class="text-center"><b>Easy Crypto</b></div>
            </div>
          </div>
          <div class="d-flex mt-2">
            <div class="mr-5">
              <div class="mb-2 kotak4">
                <h5><b>TA</b></h5>
              </div>
              <div class="text-center"><b>Travel App</b></div>
            </div>
            <div class="mr-5">
              <div class="mb-2 kotak5">
                <h5><b>LP</b></h5>
              </div>
              <div class="text-center"><b>Landing Page</b></div>
            </div>
            <div class="mr-5">
              <div class="mb-2 kotak6">
                <h5><b>8+</b></h5>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-6 p-5 bg-white vh-98 br-10">
        <h1 class="black"><b>Cyber Punk</b></h1>
        <p class="grey mb-5">Lorem ipsum dolor sit amet consectetur adipisicing elit. Ex ad eos cum minus unde autem similique laboriosam nesciunt at alias, suscipit, nostrum quia rerum voluptatem quod cupiditate ullam reprehenderit tenetur?</p>
        <ejs-listview id='sample-list-flat' :dataSource='data' showCheckBox='true' headerTitle='Today' showHeader='true'></ejs-listview>
        <div class="d-flex justify-content-end">
          <button class="btn btn-secondary" @click="changeCheckbox">+</button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import Vue from 'vue'
import { ListViewPlugin } from '@syncfusion/ej2-vue-lists'
Vue.use(ListViewPlugin)
export default {
  data: function () {
    return {
      data: [
        { text: 'Create initial layout for homepage', id: '1' },
        { text: 'Fixing icon with transparant background', id: '2' },
        { text: 'Fixing icon with transparant background', id: '3' },
        { text: 'Create initial layout for homepage', id: '4' },
        { text: 'Discussions regarding workflow improvement', id: '5' },
        { text: 'Create quotation  for app redesign project', id: '6' }
      ],
      keyword: ''
    }
  },
  methods: {
    changeCheckbox (e) {
      let item = document.getElementsByClassName('e-frame')
      // item.target.getAttribute('aria-checked')
      if (item[0].classList.length < 3) {
        item[0].classList.toggle('e-check')
      } else if (item[1].classList.length < 3) {
        item[1].classList.toggle('e-check')
      } else if (item[2].classList.length < 3) {
        item[2].classList.toggle('e-check')
      } else if (item[3].classList.length < 3) {
        item[3].classList.toggle('e-check')
      } else if (item[4].classList.length < 3) {
        item[4].classList.toggle('e-check')
      } else if (item[5].classList.length < 3) {
        item[5].classList.toggle('e-check')
      }
    }
  }
}
</script>
<style lang="scss">
.jawaban {
    ::placeholder {
        color: #fff !important;
    }
    .form-control {
        background-color: rgb(0,0,0) !important; /* Fallback color */
        background-color: rgba(0,0,0, 0.4) !important; /* Black w/opacity/see-through */
        border-color: #fff;
        color: #fff;
    }
    background: #000080;
    height: 100vh;
    color: #fff !important;
}
.radius {
    border-radius: 20px;
}
.grey {
    color: #808080;
}
.kotak1 {
    padding: 3rem;
    background: #fff;
    color: black;
    border-radius: 10px;
}
.kotak2 {
    padding: 3rem;
    background: #808080;
    color: #fff;
    border-radius: 10px;
}
.kotak3 {
    padding: 3rem;
    background: #7FFFD4;
    color: black;
    border-radius: 10px;
}
.kotak4 {
    padding: 3rem;
    background: black;
    color: #fff;
    border-radius: 10px;
}
.kotak5 {
    padding: 3rem;
    background: red;
    color: #fff;
    border-radius: 10px;
}
.kotak6 {
    padding: 3rem;
    background-color: rgb(0,0,0) !important;
    color: #fff;
    border-radius: 10px;
}
.kotak1:hover, .kotak2:hover, .kotak3:hover,
.kotak4:hover, .kotak5:hover, .kotak6:hover {
    border: 2px solid green;
}
.kotak1:active, .kotak2:active, .kotak3:active,
.kotak4:active, .kotak5:active, .kotak6:active {
    border: 2px solid green;
}
.vh-98 {
    height: 98vh;
}
.br-10 {
    border-radius: 10px;
}
.black {
    color: black;
}
.e-icons {
    border-radius: 100% !important;
}
</style>
